package com.huijy.management.domain;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.huijy.common.annotation.Excel;
import com.huijy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 店铺销售记录对象 t_shop_sales_record
 *
 * @author luobo
 * @date 2021-09-12
 */
public class ShopSalesRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 店铺销售记录id */
    private Long shopSalesRecordId;

    /** 店铺id */
    @Excel(name = "店铺id")
    private Long shopId;
    /**
     * 店铺名称
     */
    private String shopName;

    /** 销售时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "销售时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date salesTime;

    /** 散客预约人数 */
    @Excel(name = "散客预约人数")
    private Long scatteredAppointment;

    /** 散客接待人数 */
    @Excel(name = "散客接待人数")
    private Long scatteredReception;

    /** 团客预约人数 */
    @Excel(name = "团客预约人数")
    private Long groupAppointment;

    /** 团客接待人数 */
    @Excel(name = "团客接待人数")
    private Long groupReception;

    /** 销售金额 */
    @Excel(name = "销售金额")
    private BigDecimal salesAmount;
    /**
     * 酒店游客信息
     */
    private List<ShopGuestRecord> shopGuestRecordList;


    public void setShopSalesRecordId(Long shopSalesRecordId)
    {
        this.shopSalesRecordId = shopSalesRecordId;
    }

    public Long getShopSalesRecordId()
    {
        return shopSalesRecordId;
    }
    public void setShopId(Long shopId)
    {
        this.shopId = shopId;
    }

    public Long getShopId()
    {
        return shopId;
    }
    public void setSalesTime(Date salesTime)
    {
        this.salesTime = salesTime;
    }

    public Date getSalesTime()
    {
        return salesTime;
    }
    public void setScatteredAppointment(Long scatteredAppointment)
    {
        this.scatteredAppointment = scatteredAppointment;
    }

    public Long getScatteredAppointment()
    {
        return scatteredAppointment;
    }
    public void setScatteredReception(Long scatteredReception)
    {
        this.scatteredReception = scatteredReception;
    }

    public Long getScatteredReception()
    {
        return scatteredReception;
    }
    public void setGroupAppointment(Long groupAppointment)
    {
        this.groupAppointment = groupAppointment;
    }

    public Long getGroupAppointment()
    {
        return groupAppointment;
    }
    public void setGroupReception(Long groupReception)
    {
        this.groupReception = groupReception;
    }

    public Long getGroupReception()
    {
        return groupReception;
    }
    public void setSalesAmount(BigDecimal salesAmount)
    {
        this.salesAmount = salesAmount;
    }

    public BigDecimal getSalesAmount()
    {
        return salesAmount;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public List<ShopGuestRecord> getShopGuestRecordList() {
        return shopGuestRecordList;
    }

    public void setShopGuestRecordList(List<ShopGuestRecord> shopGuestRecordList) {
        this.shopGuestRecordList = shopGuestRecordList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("shopSalesRecordId", getShopSalesRecordId())
            .append("shopId", getShopId())
            .append("salesTime", getSalesTime())
            .append("scatteredAppointment", getScatteredAppointment())
            .append("scatteredReception", getScatteredReception())
            .append("groupAppointment", getGroupAppointment())
            .append("groupReception", getGroupReception())
            .append("salesAmount", getSalesAmount())
            .append("createTime", getCreateTime())
            .append("shopName", getShopName())
            .toString();
    }
}
